Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 663104 - Livemarks status menuitems are incorrectly updated
: Livemarks status menuitems are incorrectly updated
: regression
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Marco Bonardo [::mak]
: Marco Bonardo [::mak]
Depends on:
Blocks: 387138 647399
  Show dependency treegraph
Reported: 2011-06-09 06:42 PDT by Marco Bonardo [::mak]
Modified: 2011-08-24 02:22 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

patch v1.0 (2.66 KB, patch)
2011-06-09 06:42 PDT, Marco Bonardo [::mak]
dietrich: review+
Details | Diff | Splinter Review

Description Marco Bonardo [::mak] 2011-06-09 06:42:05 PDT
Created attachment 538250 [details] [diff] [review]
patch v1.0

Minor patch while I was looking at livemarks service.  This partly regressed in bug 387138, but partly was just unimplemented.
I don't think this needs a test, it's a minor and barely visible part, actually I think would even be better to rather use the livemark icon to show status (a throbber for loading, a broken livemark feed for loadfailed) rather than keeping this code. Btw let's fix what we have for now.
Comment 1 Marco Bonardo [::mak] 2011-06-09 16:49:39 PDT
Comment 2 Marco Bonardo [::mak] 2011-06-18 04:41:00 PDT
Comment 3 Simona B [:simonab ] 2011-08-23 04:46:00 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Can anyone please say what is expected to be seen after this fix or help me with a test case or with STR/guidelines in order to get this issue checked on QA side? 
Comment 4 Marco Bonardo [::mak] 2011-08-23 05:21:36 PDT
So, when right clicking a livemark menu and doing Reload Live bookmark it should briefly appear in the menu a Live bookmark Loading... graytext entry. It should diappear almost immediately (unless the webpage is really slow), should not stick in the menu. Before this fix it was not appearing at all.

when a livemark fails the Live bookmark failed menuitem should stick, and disappear at the first successful reload. I suppose that you may simulate this by unplugging from network and reloading. Before this fix it was sticking in the menu even after a successful reload.
Comment 5 Simona B [:simonab ] 2011-08-24 02:22:22 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Verified issue on Win XP, Win 7, Ubuntu 11.04 and Mac OS X 10.6. using the following STR:
1. Right click on a livemark and from the context menu select Reload Live Bookmark  - "Live Bookmark Loading" gray text message briefly appears in the menu and then disappears (after loading completed).
2. Unplug the network connection and reload - "Live Bookmark feed failed to load" gray text message appears and then disappears (after enabling the network connection and reloading the livemark bookmark).

Livemark status is now correctly updated - Setting resolution to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.